Package org.eclipse.emf.cdo.lm

# Interface System

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`

All Known Implementing Classes:
  `SystemImpl`

public interface System extends ModelElement
A representation of the model object 'System'.

See Also:
  - `LMPackage.getSystem()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Name`
  - `Process`
  - `Modules`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_PATH`
`static final String`
`SEPARATOR`

## Method Summary

Modifier and Type
Method
Description
`void`
`forEachBaseline(Consumer<Baseline> consumer)`
`boolean`
`forEachBaseline(Predicate<Baseline> predicate)`
`Stream<Baseline>`
`getAllBaselines()`
`Module`
`getModule(String name)`
`EList<Module>`
`getModules()`
Returns the value of the 'Modules' containment reference list.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`Process`
`getProcess()`
Returns the value of the 'Process' containment reference.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setProcess(Process value)`
Sets the value of the '`Process`' containment reference.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### RESOURCE_PATH

static final String RESOURCE_PATH

See Also:
  - Constant Field Values

### SEPARATOR

static final String SEPARATOR

Since:
  1.2
See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `LMPackage.getSystem_Name()`
Generated
Model
  required="true"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### getProcess

Process getProcess()
Returns the value of the 'Process' containment reference. It is bidirectional and its opposite is '`System`'.

Returns:
  the value of the 'Process' containment reference.
See Also:
  - `setProcess(org.eclipse.emf.cdo.lm.Process)`
  - `LMPackage.getSystem_Process()`
  - `Process.getSystem()`
Generated
Model
  opposite="system" containment="true" required="true"

### setProcess

void setProcess(Process value)
Sets the value of the '`Process`' containment reference.

Parameters:
  `value` - the new value of the 'Process' containment reference.
See Also:
  - `getProcess()`
Generated

### getModules

EList<Module> getModules()
Returns the value of the 'Modules' containment reference list. The list contents are of type `Module`. It is bidirectional and its opposite is '`System`'.

Returns:
  the value of the 'Modules' containment reference list.
See Also:
  - `LMPackage.getSystem_Modules()`
  - `Module.getSystem()`
Generated
Model
  opposite="system" containment="true"

### getModule

Module getModule(String name)

Generated
Model

### getAllBaselines

Stream<Baseline> getAllBaselines()

### forEachBaseline

void forEachBaseline(Consumer<Baseline> consumer)

### forEachBaseline

boolean forEachBaseline(Predicate<Baseline> predicate)

Since:
  1.3